Package org.eclipse.ui.browser

## Class AbstractWebBrowser

- java.lang.Object
- - org.eclipse.ui.browser.AbstractWebBrowser

All Implemented Interfaces:
  `IWebBrowser`

    public abstract class AbstractWebBrowser
    extends Object
    implements IWebBrowser

Clients that supply implementation of the workbench browser support should extend this class for web browser instances they manage. Clients should not implement the `IWebBrowser` interface.

Since:
  3.1

### Constructor Summary

Constructors
`AbstractWebBrowser​(String id)` The constructor that accepts the unique browser identifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `close()` Closes this browser instance.
`String` `getId()` Returns the unique identifier of this browser.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.browser.IWebBrowser

`openURL`

### Constructor Detail

#### AbstractWebBrowser

    public AbstractWebBrowser​(String id)

The constructor that accepts the unique browser identifier.

Parameters:
  `id` - the unique browser identifier

### Method Detail

#### getId

    public String getId()

Description copied from interface: `IWebBrowser`
Returns the unique identifier of this browser. If an id has been supplied to the browser support when the instance was created, it will be used. Otherwise, a generated id will be provided to the browser that is guaranteed to be unique.

Specified by:
  `getId` in interface `IWebBrowser`
Returns:
  a unique identifier of this browser instance

#### close

    public boolean close()

Description copied from interface: `IWebBrowser`
Closes this browser instance.

NOTE This method must be called from the current UI thread

Specified by:
  `close` in interface `IWebBrowser`
Returns:
  `true` if the browser was closed or `false` if the operation failed or is not supported.